Bug 214336 - sysutils/xfce4-mount-plugin: patch: remove forced "fusermount -u %m"
Summary: sysutils/xfce4-mount-plugin: patch: remove forced "fusermount -u %m"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Olivier Duchateau
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-08 20:30 UTC by rozhuk.im
Modified: 2016-11-14 16:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
remove call fusermount -u %m for fuse mount points (6.73 KB, patch)
2016-11-08 20:30 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2016-11-08 20:30:30 UTC
Created attachment 176800 [details]
remove call fusermount -u %m for fuse mount points

xfce4-mount-plugin always call fusermount -u %m for fuse mounts, it was hardcoded.
Comment 1 commit-hook freebsd_committer 2016-11-13 10:41:09 UTC
A commit references this bug:

Author: olivierd
Date: Sun Nov 13 10:40:54 UTC 2016
New revision: 426027
URL: https://svnweb.freebsd.org/changeset/ports/426027

Log:
  - Don't call fusermount for fuse mount points
  - Bump PORTREVISION

  While I'm here, adjust dependencies (reported by QA script)

  PR:		214336
  Submitted by:	<rozhuk.im@gmail.com>
  MFH:		2016Q4

Changes:
  head/sysutils/xfce4-mount-plugin/Makefile
  head/sysutils/xfce4-mount-plugin/files/
  head/sysutils/xfce4-mount-plugin/files/patch-panel-plugin_devices.c
Comment 2 Olivier Duchateau freebsd_committer 2016-11-13 10:42:25 UTC
Committed, thanks! I re-generate patch, because it seems corrupt (and I also exclude DragonFlyBSD).
Comment 3 commit-hook freebsd_committer 2016-11-14 16:45:10 UTC
A commit references this bug:

Author: olivierd
Date: Mon Nov 14 16:44:46 UTC 2016
New revision: 426125
URL: https://svnweb.freebsd.org/changeset/ports/426125

Log:
  MFH: r426027

  - Don't call fusermount for fuse mount points
  - Bump PORTREVISION

  While I'm here, adjust dependencies (reported by QA script)

  PR:		214336
  Submitted by:	<rozhuk.im@gmail.com>

  Approved by:	ports-secteam (junovitch@)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/sysutils/xfce4-mount-plugin/Makefile
  branches/2016Q4/sysutils/xfce4-mount-plugin/files/